Summary: Utilities for configuring the linux ethernet bridge.
Name: bridge-utils
Version: 1.0.4
Release: 4
Copyright: GPL
URL: http://bridge.sourceforge.net/
Group: System Environment/Base
Source0: http://bridge.sourceforge.net/bridge-utils/bridge-utils-%{PACKAGE_VERSION}.tar.gz
Patch0: bridge-utils-1.0.4-inc.patch
Patch1: bridge-utils-1.0.4-kernheaders.patch
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: sysfsutils-devel

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%package -n bridge-utils-devel
Summary: Utilities for configuring the linux ethernet bridge.
Group: Development/Libraries

%description -n bridge-utils-devel
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.

Install bridge-utils-devel if you are going to develop programs which
will use the linux ethernet bridge interface library.

%prep
%setup

%patch0 -p1
%patch1 -p1

%build
%configure --with-linux-headers=`pwd`
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
#gzip ${RPM_BUILD_ROOT}/%{_mandir}/man8/brctl.8

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS COPYING doc/FAQ doc/HOWTO doc/RPM-GPG-KEY
%{_sbindir}/brctl
%{_mandir}/man8

%files -n bridge-utils-devel
%defattr (-,root,root)
%{_includedir}/libbridge.h
%{_libdir}/libbridge.a

%changelog
* Thu Aug 26 2004 David Woodhouse <dwmw2@redhat.com> 1.0.4-4
- BuildRequires: sysfsutils-devel to make the horrid autoconf script magically
  change the entire package's behaviour just because it happens to find 
  slightly different header files lying around.
- Include our own kernel-derived headers

* Thu Jul 1 2004 David Woodhouse <dwmw2@redhat.com>
- Update to 1.0.4

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Oct 25 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- support change to call sysconf() to get HZ

* Tue Sep 16 2003 David Woodhouse <dwmw2@redhat.com> 0.9.6-1
- Update to 0.9.6
- Detect lack of kernel bridge support or EPERM and exit with appropriate code.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 0.9.3-7
- Rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Mar 04 2002 Benjamin LaHaise <bcrl@redhat.com>
- manual rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Nov 07 2001 Matthew Galgoci <mgalgoci@redhat.com>
- initial cleanup of spec file from net release

